## ceilometer 19.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=2.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futurist>=1.8.0 # Apache-2.0
jsonpath-rw-ext>=1.1.3 # Apache-2.0
lxml>=4.5.1 # BSD
msgpack>=0.5.2 # Apache-2.0
oslo.concurrency>=3.29.0 # Apache-2.0
oslo.config>=8.6.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.18.0 # Apache-2.0
keystoneauth1>=3.18.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-cinderclient>=3.3.0  # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.25.1 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.3.1,<7.0.0  # Apache-2.0
tooz[zake]>=1.47.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
gnocchiclient>=7.0.0 # Apache-2.0
python-monascaclient>=1.12.0  # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:19.0.0-3) unstable; urgency=medium

  * Limit autopkgtest to arm64 and amd64 (Closes: #1029959).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Jan 2023 09:45:43 +0100

ceilometer (1:19.0.0-2) unstable; urgency=medium

  * Add multiple patches to run compute host commands:
    - Add_response_handlers_to_support_different_response_types.patch
    - Add_support_to_namespaces_on_dynamic_pollsters.patch
    - Add_support_to_host_command_dynamic_pollster_definitions.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Dec 2022 16:16:27 +0100

ceilometer (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 08:56:19 +0200

ceilometer (1:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 15:02:11 +0200

ceilometer (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-pysnmp4 (build-)depends.
  * Removed pysnmp4-cmdgen-has-moved.patch now irrelevant.
  * Do not install loadbalancer_v2_meter_definitions.yaml (doesn't exist
    upstream anymore).

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2022 11:11:18 +0200

ceilometer (1:18.0.0-2) unstable; urgency=medium

  * Fix shell for nova when creating the user (ie: dash instead of false).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2022 12:04:43 +0200

ceilometer (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 15:54:28 +0200

ceilometer (1:18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:03:06 +0100

ceilometer (1:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 21:44:07 +0100

ceilometer (1:17.0.0-2) unstable; urgency=medium

  * Removed (build-)dependency on ceilometerclient.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Feb 2022 12:08:01 +0100

ceilometer (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:09:57 +0200

ceilometer (1:17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add missing oslo.reports namespace when generating config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 22:15:20 +0200

ceilometer (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:52:06 +0200

ceilometer (1:16.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:03:23 +0200

ceilometer (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:33:53 +0200

ceilometer (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.
  * d/rules: removed --with systemd.
  * Fixed (build-)depends for this release.
  * Refreshed pysnmp4-cmdgen-has-moved.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 12:52:51 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage <!nocheck>,
 python3-eventlet,
 python3-fixtures <!nocheck>,
 python3-futurist,
 python3-gabbi,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-monascaclient,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-win,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware,
 python3-oslotest,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest <!nocheck>,
 python3-tenacity (>= 6.3.1),
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-greenlet,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-monascaclient,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware,
 python3-pastedeploy,
 python3-pbr,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity (>= 6.3.1),
 python3-tooz,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst

override_dh_auto_clean:
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	pkgos-merge-templates ceilometer-common ceilometer rabbit

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=$(CURDIR)/ceilometer/tests/unit PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace ceilometer-auth \
		--namespace oslo.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.reports \
		--namespace oslo.service.service

	# Fix default path for lock_path
	pkgos-fix-config-default $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf oslo_concurrency lock_path /var/lock/ceilometer

	# Move the gnocchi_resources.yaml to /etc
	mkdir -p $(CURDIR)/debian/ceilometer-common/etc/ceilometer
	cp $(CURDIR)/debian/python3-ceilometer/usr/lib/python3/dist-packages/ceilometer/publisher/data/gnocchi_resources.yaml \
		$(CURDIR)/debian/ceilometer-common/etc/ceilometer/gnocchi_resources.yaml

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ceilometer 19.1.0

=== debian/changelog ===
ceilometer (2:19.1.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * d/gbp.conf: Create stable/zed branch.
  * New stable point release for OpenStack Zed (LP: #2025499).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jun 2023 14:10:46 -0400

ceilometer (2:19.0.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 06 Oct 2022 20:21:06 +0000

ceilometer (2:19.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 19.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:31:15 -0400

ceilometer (2:18.0.0+git2022091212.6f88ee6b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:37:06 -0400

ceilometer (2:18.0.0+git2022071413.ce52d50c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/ceilometer-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.
  * d/ceilometer-common.install: Drop loadbalancer_v2_meter_definitions.yaml
    inline with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 13:26:09 -0400

ceilometer (2:18.0.0+git2022060116.9a08b529-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 16:16:20 -0400

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-awsauth (>= 0.1.4),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-confluent-kafka (>= 0.11.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.18.0),
 python3-lxml (>= 4.5.1),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.5.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.8.0),
 python3-requests (>= 2.25.1),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:14.0.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 5.1),
 python3-zake (>= 0.2.2),
 python3-zaqarclient (>= 1.3.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
Homepage: https://opendev.org/openstack/ceilometer
Testsuite: autopkgtest-pkg-python

Package: ceilometer-agent-central
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ipmitool,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-polling
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.18.0),
 python3-libvirt,
 python3-lxml (>= 4.5.1),
 python3-monascaclient (>= 1.12.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.25.1),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 5.1),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-kafka (>= 1.3.2),
 python3-zake (>= 0.2.2),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 module for ceilometer.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(19\..*)\.tar\.gz

## ceilometer 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
+xmltodict>=0.13.0 # MIT License
 cachetools>=2.1.0 # MIT License
 cotyledon>=1.3.0 #Apache-2.0
 futurist>=1.8.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:20.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Replace_request-aws_by_awscurl.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.debian.net>  Fri, 14 Nov 2025 14:29:00 +0000

ceilometer (1:20.0.0-4) unstable; urgency=medium

  * Cleans properly (Closes: #1044033).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:40:37 +0200

ceilometer (1:20.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:52:02 +0200

ceilometer (1:20.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:25:16 +0200

ceilometer (1:20.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:12:40 +0100

ceilometer (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions from (build-)depends when satisfied in Bookworm.
  * Removed patches applied upstream:
    - Add_response_handlers_to_support_different_response_types.patch
    - Add_support_to_namespaces_on_dynamic_pollsters.patch
    - Add_support_to_host_command_dynamic_pollster_definitions.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Mar 2023 16:38:18 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-awscurl,
 python3-botocore,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage <!nocheck>,
 python3-eventlet,
 python3-fixtures <!nocheck>,
 python3-futurist,
 python3-gabbi,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-monascaclient,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-win,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-awscurl,
 python3-botocore,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-greenlet,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-monascaclient,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pastedeploy,
 python3-pbr,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-tooz,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

## ceilometer 20.0.0+git2023071213.cb724414

=== debian/changelog ===
ceilometer (2:20.0.0+git2023071213.cb724414-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 12 Jul 2023 20:10:53 +0000

ceilometer (2:20.0.0+git2023071213.cb724414-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:00:15 -0400

ceilometer (2:20.0.0+git2023061414.8e466293-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 14:56:19 -0400

ceilometer (2:20.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:19:19 -0400

ceilometer (2:20.0.0~rc1+git2023030309.45295088-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:12:33 -0500

ceilometer (2:19.0.0+git2023011009.8434d14e-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:34:15 -0500

## ceilometer 21.0.0~rc1

=== debian/changelog ===
ceilometer (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 16:20:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,12 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .testrepository
-	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst
+	rm -rf .testrepository doc/source/_static/ceilometer.conf.sample .stestr
+	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-common.templates
+	rm -rf build doc/source/_static debian/po *.egg-info
+	rm -rf '"'
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_clean:
 	rm -rf .testrepository

## ceilometer 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 PyYAML>=5.1 # MIT
 requests>=2.25.1 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-tenacity>=6.3.1,<7.0.0  # Apache-2.0
+tenacity>=6.3.1  # Apache-2.0
 tooz[zake]>=1.47.0 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 gnocchiclient>=7.0.0 # Apache-2.0

=== debian/changelog ===
ceilometer (2:21.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 18:34:07 +0000

ceilometer (2:21.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 10:28:36 -0400

ceilometer (2:20.0.0+git2023090714.d31d4ed3-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:15:13 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(\d.*)\.tar\.gz

## ceilometer 21.0.0+git2024011915.ac4fc17f

=== debian/changelog ===
ceilometer (2:21.0.0+git2024011915.ac4fc17f-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 15:53:34 +0000

## ceilometer 21.0.1

=== debian/changelog ===
ceilometer (1:21.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:14:07 +0000

ceilometer (1:21.0.0-2) unstable; urgency=medium

  * Add missing oslo.cache namespace when generating ceilometer.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 14:24:35 +0200

ceilometer (1:21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 08:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,6 @@
 Build-Depends-Indep:
  git,
  python3-awsauth,
- python3-awscurl,
- python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,
@@ -227,8 +225,6 @@
 Architecture: all
 Depends:
  libjs-jquery,
- python3-awscurl,
- python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 		--wrap-width 140 \
 		--namespace ceilometer \
 		--namespace ceilometer-auth \
+		--namespace oslo.cache \
 		--namespace oslo.concurrency \
 		--namespace oslo.log \
 		--namespace oslo.messaging \

## ceilometer 22.0.0

=== requirements.txt ===
--- 
+++ 
@@ -38,5 +38,4 @@
 tooz[zake]>=1.47.0 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 gnocchiclient>=7.0.0 # Apache-2.0
-python-monascaclient>=1.12.0  # Apache-2.0
 python-zaqarclient>=1.3.0 # Apache-2.0

=== debian/changelog ===
ceilometer (2:22.0.0-0ubuntu1.1) noble; urgency=medium

  * d/gbp.conf: Update debian branch -> stable/2024.1.
  * d/patches/install-missing-files.patch: Ensure that all data files
    in the Python module directories are included in the binary package
    (LP: #2071939).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jul 2024 11:44:47 +0100

ceilometer (2:22.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:32:05 +0100

ceilometer (2:22.0.0~rc1-0ubuntu2) noble; urgency=medium

  * d/control: Drop os-xenapi from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2024 14:16:04 +0000

ceilometer (2:22.0.0~rc1-0ubuntu1) noble; urgency=medium

  * d/watch: Track Caracal series releases.
  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2024 16:56:04 +0000

ceilometer (2:21.0.0+git2024030809.7231dbb0-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2024 16:39:40 +0000

=== debian/tests/control ===
Tests: test-services
Depends:
 ceilometer-agent-central,
 ceilometer-agent-compute,
 ceilometer-agent-ipmi,
 ceilometer-agent-notification,
 ceilometer-common,
 ceilometer-polling,
 libvirt-daemon-system,
 nova-compute,
 python3-libvirt,
 rabbitmq-server,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(22.\d.*)\.tar\.gz
